No puedo actualizar ubuntu de la versión 13.10 a la 14.04 [SOLUCIONADO]

Imagen de Maria730
0 puntos

Hola gente, tengo instalado Ubuntu 13.10, pero le cambié el escritorio y le dejé solamente el KDE.
Nunca tuve problemas de actualización, ni nada, me viene funcionando excelente.
Sin embargo, hoy me aparece una notificación, de que hay una actualización y le doy a aceptar e instalar la actualización como siempre lo hago, sin embargo, me aparece este error y no continúa con la actualización:

http://i548.photobucket.com/albums/ii356/Maria942/Errordeactualizacioacu...

Por lo que entiendo es por algún programa instalado de repositorios no oficiales, saben si tiene alguna solución?
Mas que nada para que el sistema se siga actualizando correctamente.

Desde ya muchas gracias!

María.

Quisiera agregar lo siguiente a la pregunta, cuando actualizo la lista de orígenes de software, con

root@Enia:/home/maria# sudo apt-get update

al final me aparece lo siguiente:

W: Imposible obtener gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_saucy-security_main_source_Sources La suma hash difiere

E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

Imagen de Goyo
+1
0
-1

Elimina el contenido de /var/lib/apt/lists/partial/
sudo rm /var/lib/apt/lists/partial/*

+1
0
-1
Imagen de Maria730
+1
0
-1

Buenas noches Goyo, primero que nada gracias por responder.
Realice lo que dijiste y eliminé el contenido de /var/lib/apt/lists/partial/
Sin embargo el problema aún continúa.

+1
0
-1
Imagen de diemillo
+1
0
-1

que puedes probar, e ir comprobando si el problema está solucionado, en el siguiente orden:
apt-get autoremove
apt-get autoclean
apt-get dist-upgrade
apt-get --fix-missing

+1
0
-1
Imagen de Maria730
+1
0
-1

Hola diemillo, gracias por responder, sin embargo sigo con los problemas, aún despues de haber hecho lo que me dijiste.
Estuve leyendo en google, y por lo que vi, el problema es cuando quiero actualizar de ubuntu 13.10 a 14.04.
Las actualizaciones del resto del software, se actualizan normalmente.
Por otro lado, creo que el problema está en los ppa que tengo en el source list.
Esto es lo que tengo en "Software y actualizaciones" ---> "Otro Software"

http://i548.photobucket.com/albums/ii356/Maria942/Listadeppa_zps21203fab...

Quiero aclarar que tengo instalado ubuntu 13.10, al que le instalé el kde-full y el kde-desktop, luego desinstalé el kde-full y solo dejé kde-desktop y desinstalé unity.
Para probar instalé gnome 3 hace unos días.
Aclaro esto como para que tengan mas información de lo que puede estar pasando.
:)

+1
0
-1
Imagen de Goyo
+1
0
-1

Por otro lado, creo que el problema está en los ppa que tengo en el source list.

No, el problema que se ve es que el archivo /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_saucy-security_main_source_Sources está corrupto.

Al borrarlo debería desaparecer ese problema a no ser que se descargue corrupto una y otra vez, que supongo que puede ocurrir pero me parece muy raro y nunca lo he visto. Otra cosa que puede ocurrir y sí he visto es que en realidad no se haya eliminado el archivo.

+1
0
-1
Imagen de Maria730
+1
0
-1

Buenas noches, estuve tocando el source.list pero nada.
En el source.list tengo lo siguiente (lo que está entre paréntesis son las entradas a las cuales les agregulé los dos ##.
Se los dejo continuación a ver si alguno me dice que puede estar mal en dicho archivo.

# deb cdrom:[Ubuntu 13.10 _Saucy Salamander_ - Release amd64 (20131016.1)]/ saucy main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu saucy main restricted
deb-src http://archive.ubuntu.com/ubuntu saucy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu saucy-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu saucy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
##(volver a poner)deb http://archive.ubuntu.com/ubuntu saucy universe
##(volver a poner)deb-src http://archive.ubuntu.com/ubuntu saucy universe
##(volver a poner)deb http://archive.ubuntu.com/ubuntu saucy-updates universe
##(volver a poner)deb-src http://archive.ubuntu.com/ubuntu saucy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
##(volver a poner)deb http://archive.ubuntu.com/ubuntu saucy multiverse
##(volver a poner)deb-src http://archive.ubuntu.com/ubuntu saucy multiverse
##(volver a poner)deb http://archive.ubuntu.com/ubuntu saucy-updates multiverse
##(volver a poner)deb-src http://archive.ubuntu.com/ubuntu saucy-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
##(volver a poner)deb http://archive.ubuntu.com/ubuntu saucy-backports main restricted universe multiverse
##(volver a poner)deb-src http://archive.ubuntu.com/ubuntu saucy-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu saucy-security main restricted
deb-src http://archive.ubuntu.com/ubuntu saucy-security main restricted
deb http://archive.ubuntu.com/ubuntu saucy-security universe
deb-src http://archive.ubuntu.com/ubuntu saucy-security universe
deb http://archive.ubuntu.com/ubuntu saucy-security multiverse
deb-src http://archive.ubuntu.com/ubuntu saucy-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu saucy partner
# deb-src http://archive.canonical.com/ubuntu saucy partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
##(volver a poner)deb http://extras.ubuntu.com/ubuntu saucy main
##(volver a poner)deb-src http://extras.ubuntu.com/ubuntu saucy main
##(volver a poner)deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse
# deb-src http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse

La verdad no se que mas hacer como para actualizar de versión. Y no me gustaría tener que reinstalar todo el sistema otra vez, ya que me está funcionando bien.

+1
0
-1
Imagen de Jose Luis 1320
+1
+1
-1

remueve todos los programas que instalaste de repositorios no oficiales... que tienes muchos, entre estos son:

el ppa de wine
los ppa de kubuntu-backports
el ppa de google
xorg-edgers
gnome-3-team

usa ppa-purge para ello.

con sudo apt-get update, no actualizas paquetes. actualizas la lista de paquetes entonces el problema que te salta al hacer update... es diferente al que tendrías al hacer sudo apt-get upgrade o para hacer la actualizacion de la distribución; do-release-upgrade

el sources.list lo dejas como antes, los repositorios extra, partner, universe y multiverse son repositorios oficiales, pero son de programas que no mantiene ni actualiza Canonical, los backports son de versiones nuevas de programas no presentes en la actual versión pero que porta canonical pero no les da mantenimiento y los repositorios no oficiales son los PPA (tambien tienes PPA que se llaman "backports", son diferentes a los backports del sources.list) que tienes y no solo basta con deshabilitarlos, tienes que REMOVER los paquetes que hayas instalado desde cada uno y ppa-purge esta para ello.

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Maria730
+1
0
-1

Hola chicos, bueno, hice lo que me dijiste José Luis y ya pude solucionar el problema.
Utilicé el ppa-purge con cada uno de los repositorios que me listaste y funcionó!
Muchísimas gracias!!!! a todos los que me fueron dando opciones para solucionar el problema.

Doy por solucionado el tema.

María.

+1
0
-1